/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitemcollar.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workcatalogueitem.dao.WorkCatalogueItemDao;
import com.jeeplus.modules.workcatalogueitem.entity.WorkCatalogueItem;

/**
 * 领用物品子表Entity
 * @author chenyuping
 * @version 2018-07-16
 */
public class WorkItemCollarCatalog extends DataEntity<WorkItemCollarCatalog> {
	
	private static final long serialVersionUID = 1L;
	private String itemCollarId;		// 物品领用id
	private String itemCatalogId;		// 物品目录id
	private String applyNum;		// 领用数量
	private String grantNum;		// 发放数量
	private WorkItemCollarCatalog workItemCollarCatalog;
	private WorkCatalogueItem workCatalogueItem;

	public WorkCatalogueItem getWorkCatalogueItem() {
		return workCatalogueItem;
	}

	public void setWorkCatalogueItem(WorkCatalogueItem workCatalogueItem) {
		this.workCatalogueItem = workCatalogueItem;
	}

	public WorkItemCollarCatalog getWorkItemCollarCatalog() {
		return workItemCollarCatalog;
	}

	public void setWorkItemCollarCatalog(WorkItemCollarCatalog workItemCollarCatalog) {
		this.workItemCollarCatalog = workItemCollarCatalog;
	}


	
	public WorkItemCollarCatalog() {
		super();
	}

	public WorkItemCollarCatalog(String id){
		super(id);
	}

	@ExcelField(title="物品领用id", align=2, sort=7)
	public String getItemCollarId() {
		return itemCollarId;
	}

	public void setItemCollarId(String itemCollarId) {
		this.itemCollarId = itemCollarId;
	}
	
	@ExcelField(title="物品目录id", align=2, sort=8)
	public String getItemCatalogId() {
		return itemCatalogId;
	}

	public void setItemCatalogId(String itemCatalogId) {
		this.itemCatalogId = itemCatalogId;
	}
	
	@ExcelField(title="领用数量", align=2, sort=9)
	public String getApplyNum() {
		return applyNum;
	}

	public void setApplyNum(String applyNum) {
		this.applyNum = applyNum;
	}
	
	@ExcelField(title="发放数量", align=2, sort=10)
	public String getGrantNum() {
		return grantNum;
	}

	public void setGrantNum(String grantNum) {
		this.grantNum = grantNum;
	}
	
}